## hugin 2020.0.0+dfsg

=== CMakeLists.txt ===

# require at least cmake 3.8
cmake_minimum_required(VERSION 3.8 FATAL_ERROR )

# prevent in-tree building
if("${CMAKE_SOURCE_DIR}" STREQUAL "${CMAKE_BINARY_DIR}")
    message(FATAL_ERROR "In-source builds are not allowed.")
endif()

cmake_policy(SET CMP0003 NEW)
if(POLICY CMP0072)
  cmake_policy(SET CMP0072 NEW)
endif()

if(APPLE)
  set(CMAKE_OSX_DEPLOYMENT_TARGET "10.9")
  if (MAC_SELF_CONTAINED_BUNDLE)
      set(CMAKE_LIBRARY_PATH ${CMAKE_SOURCE_DIR}/mac/ExternalPrograms/repository/lib)
      set(CMAKE_INCLUDE_PATH ${CMAKE_SOURCE_DIR}/mac/ExternalPrograms/repository/include ${CMAKE_SOURCE_DIR}/mac/ExternalPrograms/repository/bin)
  endif(MAC_SELF_CONTAINED_BUNDLE)
  # for FindOpenMP
  set(CMAKE_REQUIRED_INCLUDES ${CMAKE_SOURCE_DIR}/mac/ExternalPrograms/repository/include)
endif(APPLE)

set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/CMakeModules )

##
## Cleaner Debian Packaging (disable by -DDISABLE_DPKG=ON)
##
OPTION (DISABLE_DPKG "Do not use debian scripts to get package dependences" OFF)


IF(NOT DISABLE_DPKG)
  set(ARCH_TRIPLET)
  if(UNIX)
    FIND_PROGRAM(DPKG_ARCHITECTURE_EXECUTABLE dpkg-architecture)
    if(DPKG_ARCHITECTURE_EXECUTABLE)
      EXECUTE_PROCESS(COMMAND dpkg-architecture -qDEB_HOST_MULTIARCH
        OUTPUT_VARIABLE ARCH_TRIPLET
        ERROR_VARIABLE ERROR_ARCH_TRIPLET
        OUTPUT_STRIP_TRAILING_WHITESPACE)
    endif()
  endif()
  if(ARCH_TRIPLET)
    set(SYSTEM_LIB_DIRS /usr/lib /usr/lib/${ARCH_TRIPLET} /usr/local/lib)
  else()
    set(SYSTEM_LIB_DIRS /usr/lib /usr/local/lib)
  endif()
ENDIF()

include(HuginMacros)
include(CheckIncludeFiles)

##  global setup
project(hugin)

# version
set(V_MAJOR 2020)
set(V_MINOR 0)
set(V_PATCH 0)

#
# Check for mercurial and get current revision
#

IF(EXISTS ${PROJECT_SOURCE_DIR}/.hg)
  FIND_PACKAGE(Hg)
  IF(HG_FOUND)
    EXECUTE_PROCESS(COMMAND ${HG_EXECUTABLE} summary WORKING_DIRECTORY "${PROJECT_SOURCE_DIR}" OUTPUT_VARIABLE _release OUTPUT_STRIP_TRAILING_WHITESPACE)
    foreach(_v_l ${_release})
      if(_v_l MATCHES "^.*: *[^0-9]*\([0-9]+\):\([a-z0-9]+\)")
        set(CPACK_PACKAGE_VERSION_PATCH ${CMAKE_MATCH_1})
        set(HUGIN_WC_REVISION ${CMAKE_MATCH_2})
      endif()
    endforeach()
  ELSE()
    SET(HUGIN_WC_REVISION 0)
  ENDIF()
  SET(HUGIN_PACKAGE_VERSION ${V_MAJOR}.${V_MINOR}.${V_PATCH})
  SET(HUGIN_DEVELOPMENT_VERSION 1)
  FILE(WRITE ${PROJECT_SOURCE_DIR}/rev.txt "${HUGIN_WC_REVISION}")
  MESSAGE("-- Current HG revision is ${HUGIN_WC_REVISION}")
ELSE()
  IF (EXISTS ${PROJECT_SOURCE_DIR}/.svn)
    # comment out the following line to compile an old version from the subversion repository
    MESSAGE(FATAL_ERROR "Hugin subversion repository is not up to date. The development happens now in mercurial repository. Please switch to mercurial. Sorry for the inconsistency")
  ENDIF()

  SET(CPACK_PACKAGE_VERSION_PATCH ${V_PATCH})
  SET(HUGIN_PACKAGE_VERSION ${V_MAJOR}.${V_MINOR}.${V_PATCH})
  SET(HUGIN_WC_REVISION 0)
  FILE(READ "${PROJECT_SOURCE_DIR}/rev.txt" HUGIN_WC_REVISION)
  MESSAGE("-- Current HG revision is ${HUGIN_WC_REVISION}")
  MESSAGE("-- Assuming this is a tarball (release) build for ${HUGIN_PACKAGE_VERSION}")
  SET(HUGIN_DEVELOPMENT_VERSION 0)
ENDIF()

# version to display
IF (HUGIN_DEVELOPMENT_VERSION EQUAL 1)
  set(DISPLAY_VERSION "Pre-Release ${V_MAJOR}.${V_MINOR}.${V_PATCH}.${HUGIN_WC_REVISION}")
ELSE (HUGIN_DEVELOPMENT_VERSION EQUAL 1)
  set(DISPLAY_VERSION "${V_MAJOR}.${V_MINOR}.${V_PATCH}.${HUGIN_WC_REVISION}")
ENDIF (HUGIN_DEVELOPMENT_VERSION EQUAL 1)

# version for internal libraries.
set(HUGIN_LIB_VERSION 0.0)

# set include path for internal libraries before using finding and initializing
# external dependencies. This makes sure that "our" include paths are specified
# before any system includes

include_directories( ${CMAKE_BINARY_DIR}/src )
include_directories( ${CMAKE_SOURCE_DIR}/src/hugin_base )
include_directories( ${CMAKE_SOURCE_DIR}/src/celeste )
include_directories( ${CMAKE_BINARY_DIR}/src/celeste )
include_directories( ${CMAKE_SOURCE_DIR}/src )

# this function is not available on some systems, notably FreeBSD and Windows
include(CheckFunctionExists)
set(CMAKE_REQUIRED_LIBRARIES -lm)
check_function_exists(log1p HAVE_LOG1P)

#
# find dependencies
#
IF (UNIX)
FIND_PACKAGE(PkgConfig)
ENDIF (UNIX)

set(HUGIN_SHARED "1" CACHE STRING "Build shared internal libraries" )

#
# Setup windows search paths for dependencies
#
IF (WIN32)
  ##
  ## The directory that contains the hugin source root is a good
  ## place to look for support packages, so post it in cache.
  ## 
  ## Our FIND_PACKAGE calls modules will search SOURCE_BASE_DIR
  ## after the local standard places  
  ##
  # extract pathname from CMAKE_SOURCE_DIR (note result must be a local var)
  STRING( REGEX REPLACE "(.*)/[^/]+$" "\\1" work "${CMAKE_SOURCE_DIR}" )
  # create the cache entry
  SET( SOURCE_BASE_DIR ${work} CACHE FILEPATH "parent dir of hugin source root" )

  # wxWidgets
  IF(NOT wxWidgets_ROOT_SUFFIX)
    SET( wxWidgets_ROOT_SUFFIX 3.0.0 CACHE STRING "version of wxWidgets." FORCE )
  ENDIF(NOT wxWidgets_ROOT_SUFFIX)
  IF(NOT wxWidgets_ROOT_DIR)
    SET(wxWidgets_ROOT_DIR ${SOURCE_BASE_DIR}/wxWidgets-${wxWidgets_ROOT_SUFFIX})
  ENDIF()
ENDIF(WIN32)

##
## wxWidgets
##
#  This must come before FINDs for tiff, jpeg, png, zlib to enable
#  finding the wxWidgets distributions of those packages (Win32 only).
IF(WIN32)
  FIND_PACKAGE(wxWidgets REQUIRED base core aui xrc html xml adv gl qa)
ELSE()
# Unix needs also wxWidgets net library
  FIND_PACKAGE(wxWidgets REQUIRED base core aui xrc html xml adv gl net qa)
ENDIF()

# hugin requires wxwidgets 3.0 or above
IF (UNIX)
  EXEC_PROGRAM(sh ARGS "${wxWidgets_CONFIG_EXECUTABLE} --version" OUTPUT_VARIABLE wxWidgets_VERSION)
  STRING(REGEX REPLACE "^([0-9]+\\.[0-9]+)\\..*" "\\1"  wxWidgets_VERSION ${wxWidgets_VERSION})
  IF(wxWidgets_VERSION VERSION_LESS "3.0")
    MESSAGE(FATAL_ERROR "At least wxWidgets 3.0 is required")
  ENDIF()
  IF(wxWidgets_VERSION VERSION_GREATER "3.1.0")
    SET(USE_XDG_DIRS 1)
  ELSE()
    UNSET(USE_XDG_DIRS)
  ENDIF()
  # Ubuntu has 2 different devel packages, we need the GUI version
  EXEC_PROGRAM(sh ARGS "${wxWidgets_CONFIG_EXECUTABLE} --query-toolkit" OUTPUT_VARIABLE wxWidgets_TOOLKIT)
  IF(wxWidgets_TOOLKIT STREQUAL "base")
    MESSAGE(FATAL_ERROR "wxWidgets is as non-GUI package configured. Check you wxWidgets installation (maybe wxgtkXX-devel is missing)")
  ENDIF()
ENDIF (UNIX)

##
## Graphics libraries
##
# wxWidgets sub-packages will be used if native ones aren't found

FIND_PACKAGE(TIFF REQUIRED)
INCLUDE_DIRECTORIES(${TIFF_INCLUDE_DIR})
FIND_PACKAGE(JPEG REQUIRED)
INCLUDE_DIRECTORIES(${JPEG_INCLUDE_DIR})
FIND_PACKAGE(PNG REQUIRED)
INCLUDE_DIRECTORIES(${ZLIB_INCLUDE_DIR})
INCLUDE_DIRECTORIES(${PNG_INCLUDE_DIR})

IF(WIN32 AND NOT HUGIN_SHARED)
IF(NOT ${WX_jpeg} MATCHES ${JPEG_LIBRARIES_RELEASE})
MESSAGE(FATAL_ERROR "Using different libjpeg and wxjpeg. This does not work with static libs. Use wxjpeg for libjpeg")
ENDIF()
IF(NOT ${WX_zlib} MATCHES ${ZLIB_LIBRARIES_RELEASE})
MESSAGE(FATAL_ERROR "Using different libzlib and wxzlib. This does not work with static libs. Use wxzlib for libzlib")
ENDIF()
IF(NOT ${WX_png} MATCHES ${PNG_LIBRARIES_RELEASE})
MESSAGE(FATAL_ERROR "Using different libpng and wxpng. This does not work with static libs. Use wxpng for libpng")
ENDIF()
IF(NOT ${WX_tiff} MATCHES ${TIFF_LIBRARIES_RELEASE})
MESSAGE(FATAL_ERROR "Using different libtiff and wxtiff. This does not work with static libs. Use wxtiff for libtiff")
ENDIF()

ENDIF()

FIND_PACKAGE(OpenEXR REQUIRED)
include_directories(${OPENEXR_INCLUDE_DIR})

FIND_PACKAGE(VIGRA 1.9.0 REQUIRED)
include_directories(${VIGRA_INCLUDE_DIR})

FIND_PACKAGE(EXIV2 REQUIRED)
INCLUDE_DIRECTORIES(${EXIV2_INCLUDE_DIR})

## OpenGL and GLEW

FIND_PACKAGE(OpenGL REQUIRED)
INCLUDE_DIRECTORIES(${OPENGL_INCLUDE_DIR})
SET(OPENGL_GLEW_LIBRARIES ${OPENGL_LIBRARIES})

IF(NOT APPLE AND NOT WIN32)
  OPTION(BUILD_WITH_EGL "Initialize OpenGL context with OpenGL ES (requires libglew with egl support)" OFF)
  IF(BUILD_WITH_EGL)
    IF(NOT OpenGL_EGL_FOUND)
      MESSAGE(FATAL_ERROR "OpenGL ES not found: Install OpenGL ES header or deactivate option BUILD_WITH_EGL")
    ENDIF()
    MESSAGE(STATUS "Use OpenGL ES")
    SET(HAVE_EGL 1)
    INCLUDE_DIRECTORIES(${OPENGL_EGL_INCLUDE_DIRS})
    SET(OPENGL_GLEW_LIBRARIES ${OPENGL_LIBRARIES} ${OPENGL_egl_LIBRARY})
  ELSE()
    UNSET(HAVE_EGL)
  ENDIF()
ENDIF()

IF (APPLE)
  FIND_PACKAGE(GLUT REQUIRED)
  INCLUDE_DIRECTORIES(${GLUT_INCLUDE_DIR})
  SET(OPENGL_GLEW_LIBRARIES ${OPENGL_GLEW_LIBRARIES} ${GLUT_LIBRARIES})
ENDIF()
FIND_PACKAGE(GLEW REQUIRED)
INCLUDE_DIRECTORIES(${GLEW_INCLUDE_DIR})
SET(OPENGL_GLEW_LIBRARIES ${OPENGL_GLEW_LIBRARIES} ${GLEW_LIBRARIES})
IF(NOT HUGIN_SHARED OR NOT WIN32)
  ADD_DEFINITIONS(-DGLEW_STATIC)
ENDIF()

IF(NOT APPLE AND NOT WIN32 AND NOT HAVE_EGL)
MESSAGE(STATUS "Searching X11 header")
FIND_PACKAGE(X11 REQUIRED)
ENDIF()
##
## Panotools
##

FIND_PACKAGE(PANO13 2.9.19 REQUIRED)

IF(PANO13_FOUND)
  SET(PANO_LIBRARIES ${PANO13_LIBRARIES})
  SET(PANO_INCLUDE_DIR ${PANO13_INCLUDE_DIR})
ELSE(PANO13_FOUND)
  MESSAGE(SEND_ERROR "libpano13 required")
ENDIF(PANO13_FOUND) 
INCLUDE_DIRECTORIES(${PANO_INCLUDE_DIR})

# Check CXX11 compiler
SET(CMAKE_CXX_STANDARD 11)
SET(CMAKE_CXX_STANDARD_REQUIRED ON)
# necessary threads lib
SET(THREADS_PREFER_PTHREAD_FLAG ON)
FIND_PACKAGE(Threads REQUIRED)

IF(WIN32)
  # for Windows Vista support
  ADD_DEFINITIONS(-DPSAPI_VERSION=1)
ENDIF(WIN32)

# check if we have C++17 <filesystem> header
INCLUDE(CheckCXXSourceCompiles)
check_cxx_source_compiles(
  "
    #include <filesystem>
    #include <string>
    
    #if defined _MSC_VER && _MSC_VER <= 1900
    namespace fs = std::tr2::sys;
    #else
    namespace fs = std::experimental::filesystem;
    #endif

    int main()
    {
      fs::path filepath;
      filepath=fs::absolute(filepath);
      std::string s=filepath.filename().string();
      return 0;    
    };
  "
  HAVE_STD_FILESYSTEM
)

IF(HAVE_STD_FILESYSTEM)
# in this combination we don't need Boost anymore
ELSE()
##
## Boost
##
# I am sick of having to edit the boost rev number in this file.
# Now it is a cache variable you can edit in cmakesetup --TKS
#
IF( NOT Boost_root_suffix )
  SET( Boost_root_suffix _1_54_0 CACHE STRING "suffix of boost root dir." FORCE )
ENDIF( NOT Boost_root_suffix )

IF(WIN32)
  IF(HUGIN_SHARED)
    SET(Boost_USE_STATIC_LIBS OFF)
    SET(Boost_USE_STATIC_RUNTIME OFF)
    # ADD_DEFINITIONS(-DBOOST_ALL_DYN_LINK)
    # ADD_DEFINITIONS(-D_DLL)
    ADD_DEFINITIONS(-DBOOST_ALL_NO_LIB)
  ELSE()
    SET(Boost_USE_STATIC_LIBS ON)
    SET(Boost_USE_STATIC_RUNTIME ON)
  ENDIF()
  # If BOOST_ROOT was defined in the environment, use it. 
  IF(NOT BOOST_ROOT AND NOT $ENV{BOOST_ROOT} STREQUAL "") 
    SET(BOOST_ROOT $ENV{BOOST_ROOT})
  ENDIF()
  IF(NOT BOOST_ROOT)
    SET(BOOST_ROOT ${SOURCE_BASE_DIR}/boost${Boost_root_suffix})
  ENDIF()
ENDIF(WIN32)

FIND_PACKAGE(Boost 1.47 COMPONENTS filesystem system)

IF (NOT Boost_FOUND)
  IF(WIN32)
    MESSAGE(FATAL_ERROR "Boost not found. Bad BOOST_ROOT? On windows, try editing Boost_root_suffix")
  ELSE()
    MESSAGE(FATAL_ERROR "Boost not found. Maybe wrong version. Hugin requires at least version 1.47")
  ENDIF()
ENDIF (NOT Boost_FOUND)

INCLUDE_DIRECTORIES(${Boost_INCLUDE_DIRS})
LINK_DIRECTORIES(${Boost_LIBRARY_DIRS})
ENDIF()

# find enblend-enfuse base path
IF(WIN32)
  FIND_PATH(ENBLEND_DIR bin/enblend.exe enblend.exe
    PATHS 
      ${SOURCE_BASE_DIR}/enblend-enfuse-4.2-win64 
      ${SOURCE_BASE_DIR}/enblend-enfuse-4.2-win32 
      ${SOURCE_BASE_DIR}/enblend-enfuse-4.1.5-win64 
      ${SOURCE_BASE_DIR}/enblend-enfuse-4.1.5-win32 
      ${SOURCE_BASE_DIR}/enblend-enfuse-4.1.4-win64 
      ${SOURCE_BASE_DIR}/enblend-enfuse-4.1.4-win32 
      ${SOURCE_BASE_DIR}/enblend-enfuse-4.1.3-win64 
      ${SOURCE_BASE_DIR}/enblend-enfuse-4.1.3-win32 
      ${SOURCE_BASE_DIR}/enblend-enfuse-4.1.2-win64 
      ${SOURCE_BASE_DIR}/enblend-enfuse-4.1.2-win32

=== src/hugin1/CMakeLists.txt ===

include_directories( ${CMAKE_SOURCE_DIR}/src/hugin1 )

INCLUDE(${wxWidgets_USE_FILE})

# do we need to define _UNICODE on windows?
IF(WIN32)
  ADD_DEFINITIONS(-D_UNICODE -DUNICODE)
ENDIF(WIN32)

# populate correct dpi aware manifest from wxWidgets
IF(WIN32)
  IF(CMAKE_SIZEOF_VOID_P EQUAL 8) 
    # 64 bit build
    FIND_FILE(WINDOWS_DPI_MANIFEST 
      NAMES amd64_dpi_aware_pmv2.manifest amd64-dpi-aware-pmv2.manifest
      PATHS "${wxWidgets_ROOT_DIR}/include/wx/msw/"
    )
  ELSE()
    # 32 bit build
    FIND_FILE(WINDOWS_DPI_MANIFEST 
      NAMES wx_dpi_aware_pmv2.manifest wx-dpi-aware-pmv2.manifest
      PATHS "${wxWidgets_ROOT_DIR}/include/wx/msw/"
    )
  ENDIF()
  IF(NOT WINDOWS_DPI_MANIFEST)
    MESSAGE(FATAL_ERROR "Manifest in wx directory not found. Is wxWidgets not new enough or corrupted?")
  ENDIF()
ENDIF()

add_subdirectory(base_wx)
add_subdirectory(stitch_project)
add_subdirectory(icpfind)
add_subdirectory(executor)
add_subdirectory(hugin)
add_subdirectory(ptbatcher)
add_subdirectory(calibrate_lens)

=== src/hugin1/base_wx/CMakeLists.txt ===

SET(HUGIN_WX_BASE_SRC wxImageCache.cpp MyProgressDialog.cpp PTWXDlg.cpp
                      huginConfig.cpp MyExternalCmdExecDialog.cpp platform.cpp
                      RunStitchPanel.cpp LensTools.cpp wxLensDB.cpp HFOVDialog.cpp
                      Command.cpp PanoCommand.cpp wxPanoCommand.cpp CommandHistory.cpp
                      Executor.cpp AssistantExecutor.cpp StitchingExecutor.cpp wxcms.cpp 
                      wxPlatform.cpp GraphTools.cpp)
SET(HUGIN_WX_BASE_HEADER wxImageCache.h MyProgressDialog.h PTWXDlg.h
                      huginConfig.h MyExternalCmdExecDialog.h platform.h
                      RunStitchPanel.h LensTools.h wxLensDB.h HFOVDialog.h
                      Command.h PanoCommand.h wxPanoCommand.h CommandHistory.h
                      Executor.h AssistantExecutor.h StitchingExecutor.h wxcms.h 
                      wxPlatform.h wxutils.h GraphTools.h )

IF (${HUGIN_SHARED_LIBS})
  add_library(huginbasewx SHARED ${HUGIN_WX_BASE_SRC} ${HUGIN_WX_BASE_HEADER})
  target_link_libraries(huginbasewx ${wxWidgets_LIBRARIES} huginbase ${common_libs})
  set_target_properties(huginbasewx PROPERTIES VERSION ${HUGIN_LIB_VERSION})
  IF(WIN32)
    install(TARGETS huginbasewx RUNTIME DESTINATION ${BINDIR})
  ELSEIF(${HUGIN_LIBS_PRIVATE_DIR})
    install(TARGETS huginbasewx LIBRARY DESTINATION ${LIBDIR}/hugin NAMELINK_SKIP)
  ELSE(WIN32)
    install(TARGETS huginbasewx LIBRARY DESTINATION ${LIBDIR} NAMELINK_SKIP)
  ENDIF(WIN32)
ELSE (${HUGIN_SHARED_LIBS})
  add_library(huginbasewx STATIC ${HUGIN_WX_BASE_SRC} ${HUGIN_WX_BASE_HEADER})
ENDIF (${HUGIN_SHARED_LIBS})

IF(BUILD_HSI)
target_link_libraries(huginbasewx hugin_python_interface)
ENDIF()

INSTALL(FILES hugin_exiftool_copy.arg hugin_exiftool_final_example.arg DESTINATION ${HUGINDATADIR}/data)

=== src/hugin1/hugin/CMakeLists.txt ===
# Application name
IF(APPLE)
  set( PROGNAME Hugin )
  set( MACOSX_BUNDLE_ICON_FILE Hugin.icns )

  set( INFO_PLIST ${CMAKE_MODULE_PATH}/HuginBundleInfoPTO.plist.in)
  set( MACOSX_BUNDLE_TYPE_ROLE Editor )

  set( MACOSX_BUNDLE_GUI_IDENTIFIER net.sourceforge.Hugin)
  set( MACOSX_BUNDLE_BUNDLE_VERSION ${V_MAJOR}.${V_MINOR}.${V_PATCH} )
  set( MACOSX_BUNDLE_SHORT_VERSION_STRING ${MACOSX_BUNDLE_BUNDLE_VERSION})
  set( MACOSX_BUNDLE_LONG_VERSION_STRING "Version ${MACOSX_BUNDLE_BUNDLE_VERSION}" )
  set( MACOSX_BUNDLE_INFO_STRING "Hugin ${MACOSX_BUNDLE_BUNDLE_VERSION}" )
  set( MACOSX_BUNDLE_BUNDLE_NAME "Hugin" )
  set( MACOSX_BUNDLE_COPYRIGHT "Copyright 2007 Pablo d'Angelo" )

ELSE(APPLE)
  set( PROGNAME hugin )
ENDIF(APPLE)

# sources
set(hugin_SOURCES
huginApp.cpp ImagesList.cpp MainFrame.cpp CPImageCtrl.cpp CPImagesComboBox.cpp CPEditorPanel.cpp CPDetectorDialog.cpp  
ImagesPanel.cpp PanoPanel.cpp HDRMergeOptionDialog.cpp
PreviewFrame.cpp PreviewPanel.cpp GLPreviewFrame.cpp GLViewer.cpp GLRenderer.cpp 
OptimizePhotometricPanel.cpp OptimizePanel.cpp CPListFrame.cpp
TextKillFocusHandler.cpp PreferencesDialog.cpp ResetDialog.cpp
LocalizedFileTipProvider.cpp TextureManager.cpp MeshRemapper.cpp VertexCoordRemapper.cpp
TexCoordRemapper.cpp ChoosyRemapper.cpp MeshManager.cpp ViewState.cpp
OutputProjectionInfo.cpp ToolHelper.cpp Tool.cpp  OverviewCameraTool.cpp ProjectionGridTool.cpp OverviewOutlinesTool.cpp
PreviewCropTool.cpp DragTool.cpp PreviewIdentifyTool.cpp PanosphereSphereTool.cpp
PreviewDifferenceTool.cpp PreviewPanoMaskTool.cpp PreviewControlPointTool.cpp PreviewCameraTool.cpp
GreatCircles.cpp AboutDialog.cpp LayoutRemapper.cpp PreviewLayoutLinesTool.cpp PreviewColorPickerTool.cpp PreviewGuideTool.cpp
MaskEditorPanel.cpp MaskImageCtrl.cpp MaskLoadDialog.cpp HtmlWindow.cpp 
PanoOperation.cpp treelistctrl.cpp ImagesTree.cpp PanoOutputDialog.cpp
GuiLevel.cpp ImageVariableDialog.cpp PreviewEditCPTool.cpp PapywizardImport.cpp ChangeImageVariableDialog.cpp
RawImport.cpp)

set(hugin_HEADERS
huginApp.h ImagesList.h MainFrame.h CPImageCtrl.h CPImagesComboBox.h CPEditorPanel.h CPDetectorDialog.h 
ImagesPanel.h PanoPanel.h HDRMergeOptionDialog.h
PreviewFrame.h PreviewPanel.h GLPreviewFrame.h GLViewer.h GLRenderer.h 
OptimizePhotometricPanel.h OptimizePanel.h CPListFrame.h
TextKillFocusHandler.h PreferencesDialog.h ResetDialog.h
LocalizedFileTipProvider.h TextureManager.h MeshRemapper.h VertexCoordRemapper.h
TexCoordRemapper.h ChoosyRemapper.h MeshManager.h ViewState.h
OutputProjectionInfo.h ToolHelper.h Tool.h OverviewCameraTool.h ProjectionGridTool.h OverviewOutlinesTool.h
PreviewCropTool.h DragTool.h PreviewIdentifyTool.h PanosphereSphereTool.h
PreviewDifferenceTool.h PreviewPanoMaskTool.h PreviewControlPointTool.h PreviewCameraTool.h
GreatCircles.h AboutDialog.h LayoutRemapper.h PreviewLayoutLinesTool.h PreviewColorPickerTool.h PreviewGuideTool.h
MaskEditorPanel.h MaskImageCtrl.h MaskLoadDialog.h HtmlWindow.h 
PanoOperation.h treelistctrl.h ImagesTree.h PanoOutputDialog.h
GuiLevel.h ImageVariableDialog.h PreviewEditCPTool.h PapywizardImport.h ChangeImageVariableDialog.h
RawImport.h)

IF(BUILD_HSI)
LIST(APPEND hugin_SOURCES PluginItems.cpp)
LIST(APPEND hugin_HEADERS PluginItems.h)
ENDIF()

# install some file for raw import
INSTALL(FILES hugin_rt.pp3 DESTINATION ${HUGINDATADIR}/data)

IF(APPLE)
  if (MAC_SELF_CONTAINED_BUNDLE)

    # Tools
    set( TOOLS ${CMAKE_BINARY_DIR}/src/tools/align_image_stack ${CMAKE_BINARY_DIR}/src/tools/autooptimiser    ${CMAKE_BINARY_DIR}/src/tools/checkpto   ${CMAKE_BINARY_DIR}/src/celeste/celeste_standalone
               ${CMAKE_BINARY_DIR}/src/tools/cpclean           ${CMAKE_BINARY_DIR}/src/tools/linefind         ${CMAKE_BINARY_DIR}/src/tools/geocpset 
               ${CMAKE_BINARY_DIR}/src/tools/pano_modify       ${CMAKE_BINARY_DIR}/src/hugin1/icpfind/icpfind ${CMAKE_BINARY_DIR}/src/hugin_cpfind/cpfind/cpfind 
               # bins for external use
               ${CMAKE_BINARY_DIR}/src/tools/fulla         ${CMAKE_BINARY_DIR}/src/tools/tca_correct              ${CMAKE_BINARY_DIR}/src/tools/vig_optimize
               ${CMAKE_BINARY_DIR}/src/tools/hugin_lensdb  ${CMAKE_BINARY_DIR}/src/hugin1/executor/hugin_executor ${CMAKE_BINARY_DIR}/src/tools/pano_trafo
               ${CMAKE_BINARY_DIR}/src/tools/pto_gen       ${CMAKE_BINARY_DIR}/src/tools/pto_lensstack            ${CMAKE_BINARY_DIR}/src/tools/pto_mask
               ${CMAKE_BINARY_DIR}/src/tools/pto_merge     ${CMAKE_BINARY_DIR}/src/tools/pto_move                 ${CMAKE_BINARY_DIR}/src/tools/pto_template
               ${CMAKE_BINARY_DIR}/src/tools/pto_var       ${CMAKE_BINARY_DIR}/src/deghosting/deghosting_mask     ${CMAKE_BINARY_DIR}/src/tools/hugin_stacker
    )

    FOREACH(_file ${TOOLS})
      SET_SOURCE_FILES_PROPERTIES( ${_file} PROPERTIES 
           MACOSX_PACKAGE_LOCATION "MacOS" 
           GENERATED TRUE)
    ENDFOREACH(_file)

    #other files
    FILE(GLOB OTHER ${CMAKE_SOURCE_DIR}/src/hugin1/executor/*.executor ${CMAKE_SOURCE_DIR}/src/hugin1/executor/*.assistant)
    LIST(APPEND OTHER 
                      ${CMAKE_SOURCE_DIR}/src/celeste/data/celeste.model
                      ${CMAKE_SOURCE_DIR}/src/hugin1/hugin/hugin_rt.pp3
                      ${CMAKE_SOURCE_DIR}/src/hugin1/base_wx/hugin_exiftool_copy.arg
                      ${CMAKE_BINARY_DIR}/src/hugin1/icpfind/default.setting )
    FOREACH(_file ${OTHER})
      SET_SOURCE_FILES_PROPERTIES( ${_file} PROPERTIES 
           MACOSX_PACKAGE_LOCATION "Resources/xrc" )
    ENDFOREACH(_file)
    SET_SOURCE_FILES_PROPERTIES( ${CMAKE_BINARY_DIR}/src/hugin1/icpfind/default.setting  PROPERTIES
      GENERATED TRUE)

    #translations
    FILE(GLOB PO_FILES "${CMAKE_SOURCE_DIR}/src/translations/*.po")
    SET(TRANSLATION_FILES )
    FOREACH(_file_po ${PO_FILES})
      GET_FILENAME_COMPONENT(LANG ${_file_po} NAME_WE)
      SET(_file_out ${CMAKE_BINARY_DIR}/src/translations/mac/${LANG}.lproj/hugin.mo)
      LIST(APPEND TRANSLATION_FILES ${_file_out} )
      SET_SOURCE_FILES_PROPERTIES( ${_file_out} PROPERTIES 
              MACOSX_PACKAGE_LOCATION "Resources/${LANG}.lproj" 
              GENERATED TRUE)
    ENDFOREACH(_file_po)


    #xrc files
    FILE(GLOB_RECURSE XRC_FILES ${CMAKE_SOURCE_DIR}/src/hugin1/hugin/xrc/*.html 
                                ${CMAKE_SOURCE_DIR}/src/hugin1/hugin/xrc/*.htm
                                ${CMAKE_SOURCE_DIR}/src/hugin1/hugin/xrc/*.hhc
                                ${CMAKE_SOURCE_DIR}/src/hugin1/hugin/xrc/*.hhk 
                                ${CMAKE_SOURCE_DIR}/src/hugin1/hugin/xrc/*.hhp
                                ${CMAKE_SOURCE_DIR}/src/hugin1/hugin/xrc/*.xrc
                                ${CMAKE_SOURCE_DIR}/src/hugin1/hugin/xrc/*.ico
                                ${CMAKE_SOURCE_DIR}/src/hugin1/hugin/xrc/*.jpg
                                ${CMAKE_SOURCE_DIR}/src/hugin1/hugin/xrc/*.png
                                ${CMAKE_SOURCE_DIR}/src/hugin1/hugin/xrc/*.txt
                                ${CMAKE_SOURCE_DIR}/src/hugin1/hugin/xrc/*.pl )

    FOREACH(_file ${XRC_FILES})
      GET_FILENAME_COMPONENT(_file_dir ${_file} PATH)
      FILE(RELATIVE_PATH _file_dir "${CMAKE_SOURCE_DIR}/src/hugin1/hugin/" ${_file_dir})
      IF(${_file_dir} MATCHES "xrc/data/help_*")
        CONTINUE()
      ENDIF()
      SET_SOURCE_FILES_PROPERTIES( ${_file} PROPERTIES 
              MACOSX_PACKAGE_LOCATION "Resources/${_file_dir}")
    ENDFOREACH(_file)


    SET(XRC_2 ${CMAKE_SOURCE_DIR}/src/hugin1/hugin/xrc/data/upstream.txt
              ${CMAKE_SOURCE_DIR}/COPYING.txt
              ${CMAKE_BINARY_DIR}/src/hugin1/hugin/xrc/data/about.htm)
    FOREACH(_file ${XRC_2})
      SET_SOURCE_FILES_PROPERTIES( ${_file} PROPERTIES 
           MACOSX_PACKAGE_LOCATION "Resources/xrc/data" )
    ENDFOREACH(_file)

    SET(XRC_FILES ${XRC_FILES} ${XRC_2})


    # Icons
    set( ICON_FILES "../hugin/${MACOSX_BUNDLE_ICON_FILE}" "../hugin/${MACOSX_BUNDLE_TYPE_ICON_FILE}" )
    FOREACH(_file ${ICON_FILES})
      SET_SOURCE_FILES_PROPERTIES( ${_file} PROPERTIES 
           MACOSX_PACKAGE_LOCATION "Resources" )
    ENDFOREACH(_file)


    #help files
    FILE(GLOB HELP_FILES ${CMAKE_SOURCE_DIR}/src/hugin1/hugin/xrc/data/help_en_EN/*.css 
                         ${CMAKE_SOURCE_DIR}/src/hugin1/hugin/xrc/data/help_en_EN/*.htm 
                         ${CMAKE_SOURCE_DIR}/src/hugin1/hugin/xrc/data/help_en_EN/*.html 
                         ${CMAKE_SOURCE_DIR}/src/hugin1/hugin/xrc/data/help_en_EN/*.ico 
                         ${CMAKE_SOURCE_DIR}/src/hugin1/hugin/xrc/data/help_en_EN/*.gif 
                         ${CMAKE_SOURCE_DIR}/src/hugin1/hugin/xrc/data/help_en_EN/*.JPG 
                         ${CMAKE_SOURCE_DIR}/src/hugin1/hugin/xrc/data/help_en_EN/*.jpg 
                         ${CMAKE_SOURCE_DIR}/src/hugin1/hugin/xrc/data/help_en_EN/*.png 
                         ${CMAKE_SOURCE_DIR}/src/hugin1/hugin/xrc/data/help_en_EN/*.xpm 
                         ${CMAKE_SOURCE_DIR}/src/hugin1/hugin/xrc/data/help_en_EN/*.hhc 
                         ${CMAKE_SOURCE_DIR}/src/hugin1/hugin/xrc/data/help_en_EN/*.hhk 
                         ${CMAKE_SOURCE_DIR}/src/hugin1/hugin/xrc/data/help_en_EN/*.hhp
                         ${CMAKE_SOURCE_DIR}/src/hugin1/hugin/xrc/data/help_en_EN/.manual )
    FOREACH(_file ${HELP_FILES})
      SET_SOURCE_FILES_PROPERTIES( ${_file} PROPERTIES 
           MACOSX_PACKAGE_LOCATION "Resources/en_US.lproj/help" )
    ENDFOREACH(_file)


    ADD_EXECUTABLE( ${PROGNAME} MACOSX_BUNDLE ${hugin_SOURCES} 
                    ${ICON_FILES} ${TRANSLATION_FILES} ${XRC_FILES} ${HELP_FILES} ${TOOLS} ${OTHER} )
    if(INFO_PLIST)
      set_target_properties(${PROGNAME} PROPERTIES
            MACOSX_BUNDLE_INFO_PLIST ${INFO_PLIST})
    endif(INFO_PLIST)

    ADD_CUSTOM_COMMAND(
        TARGET ${PROGNAME}
        POST_BUILD
        COMMAND ln -sf "../../../HuginStitchProject.app/" "."
        WORKING_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/${PROGNAME}.app/Contents/Resources/"
    )

    ADD_DEPENDENCIES(${PROGNAME} align_image_stack autooptimiser checkpto cpclean linefind geocpset pano_modify icpfind cpfind celeste_standalone
      fulla tca_correct vig_optimize hugin_lensdb hugin_executor pano_trafo pto_gen pto_lensstack pto_mask pto_merge
      pto_move pto_template pto_var deghosting_mask hugin_stacker
      translations)
      
  else (MAC_SELF_CONTAINED_BUNDLE)

    # bare bones bundle, with only hugin inside, all other ressources outside.
    set( ICON_FILES ${MACOSX_BUNDLE_ICON_FILE} ${MACOSX_BUNDLE_TYPE_ICON_FILE} )
    ADD_EXECUTABLE( ${PROGNAME} MACOSX_BUNDLE ${hugin_SOURCES} 
  		    ${ICON_FILES})

  endif (MAC_SELF_CONTAINED_BUNDLE)

  SET_SOURCE_FILES_PROPERTIES(
  	${ICON_FILES}
  	PROPERTIES 
	MACOSX_PACKAGE_LOCATION Resources)

ELSEIF ( WIN32 )
  ADD_EXECUTABLE( ${PROGNAME} WIN32 ${hugin_SOURCES} ${hugin_HEADERS} hugin_rc.rc ${WINDOWS_DPI_MANIFEST})
ELSE (APPLE)
  ADD_EXECUTABLE( ${PROGNAME} ${hugin_SOURCES} ${hugin_HEADERS})
ENDIF(APPLE)

target_link_libraries( ${PROGNAME} ${common_libs} ${image_libs} huginbasewx celeste icpfindlib ${wxWidgets_LIBRARIES} ${OPENGL_GLEW_LIBRARIES})

IF(BUILD_HSI)
TARGET_LINK_LIBRARIES(${PROGNAME} hugin_python_interface)
ENDIF()

IF (APPLE)
  IF (NOT MAC_SELF_CONTAINED_BUNDLE)
    install(TARGETS ${PROGNAME}
            DESTINATION ${INSTALL_OSX_BUNDLE_DIR})
  ELSE (NOT MAC_SELF_CONTAINED_BUNDLE)
    install(TARGETS ${PROGNAME}
            DESTINATION "Hugin"
            COMPONENT ${PROGNAME})
  ENDIF (NOT MAC_SELF_CONTAINED_BUNDLE)
ELSE(APPLE)
  install(TARGETS ${PROGNAME}
          DESTINATION ${BINDIR})
  IF(UNIX)
    # install further stuff (icons etc.)
    INSTALL(FILES hugin.desktop DESTINATION ${DATADIR}/applications)
    INSTALL(FILES application-x-ptoptimizer-script.png DESTINATION ${DATADIR}/icons/gnome/48x48/mimetypes)
    INSTALL(FILES hugin.xml DESTINATION ${DATADIR}/mime/packages)
  ENDIF(UNIX)
ENDIF(APPLE)

=== src/hugin1/icpfind/CMakeLists.txt ===
SET(ICPFIND_LIB_SRC AutoCtrlPointCreator.cpp CPDetectorConfig.cpp)
SET(ICPFIND_LIB_HEADER AutoCtrlPointCreator.h CPDetectorConfig.h)

IF (${HUGIN_SHARED_LIBS})
  ADD_LIBRARY(icpfindlib SHARED ${ICPFIND_LIB_SRC} ${ICPFIND_LIB_HEADER})
  TARGET_LINK_LIBRARIES(icpfindlib ${Boost_LIBRARIES})
  SET_TARGET_PROPERTIES(icpfindlib PROPERTIES VERSION ${HUGIN_LIB_VERSION})
  IF(WIN32)
    INSTALL(TARGETS icpfindlib RUNTIME DESTINATION ${BINDIR})
  ELSEIF(${HUGIN_LIBS_PRIVATE_DIR})
    install(TARGETS icpfindlib LIBRARY DESTINATION ${LIBDIR}/hugin NAMELINK_SKIP)
  ELSE(WIN32)
    INSTALL(TARGETS icpfindlib LIBRARY DESTINATION ${LIBDIR} NAMELINK_SKIP)
  ENDIF(WIN32)
ELSE (${HUGIN_SHARED_LIBS})
  ADD_LIBRARY(icpfindlib STATIC ${ICPFIND_LIB_SRC} ${ICPFIND_LIB_HEADER})
ENDIF (${HUGIN_SHARED_LIBS})

TARGET_LINK_LIBRARIES(icpfindlib huginbase ${wxWidgets_LIBRARIES} huginbasewx)

ADD_EXECUTABLE(icpfind icpfind.h icpfind.cpp)

TARGET_LINK_LIBRARIES(icpfind icpfindlib ${wxWidgets_LIBRARIES}  ${common_libs})
INSTALL(TARGETS icpfind DESTINATION ${BINDIR})

IF(WIN32)
  INSTALL(FILES default.win DESTINATION ${HUGINDATADIR}/data RENAME default.setting)
ELSE()
  IF(APPLE)
    INSTALL(FILES default.mac DESTINATION ${HUGINDATADIR}/data RENAME default.setting)
    IF(MAC_SELF_CONTAINED_BUNDLE)
      FILE(COPY default.mac DESTINATION ".")
      FILE(RENAME ${CMAKE_CURRENT_BINARY_DIR}/default.mac ${CMAKE_CURRENT_BINARY_DIR}/default.setting)
    ENDIF(MAC_SELF_CONTAINED_BUNDLE)
  ELSE()
    INSTALL(FILES default.unix DESTINATION ${HUGINDATADIR}/data RENAME default.setting)
  ENDIF()
ENDIF()

=== src/hugin1/hugin/xrc/CMakeLists.txt ===
FILE(GLOB XRCFILES *.xrc)

INSTALL(FILES ${XRCFILES} DESTINATION ${HUGINDATADIR}/xrc)

add_subdirectory(data)

=== debian/changelog ===
hugin (2020.0.0+dfsg-2~mx17+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * debian/hugin.install: install /usr/share/hugin/xrc/data/COPYING.txt.
  * Revert to dh-compat=12.
  * d/rules: don't remove /usr/share/hugin/xrc/data/COPYING.txt.
  * Build against our libwxgtk3.0-gtk3-dev >= 3.0.4+dfsg-3~mx17+1, since we
    don't worry about newer versions.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 09 Jan 2021 08:42:45 -0800

hugin (2020.0.0+dfsg-2) unstable; urgency=medium

  * 50_calibrate_lens_gui_assert.diff from upstream BTS fixes
    calibrate_lens_gui asser error on startup. Closes: #978475

 -- Andreas Metzler <ametzler@debian.org>  Tue, 29 Dec 2020 11:36:52 +0100

hugin (2020.0.0+dfsg-1) unstable; urgency=low

  * New upstream release.
  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 13 Dec 2020 10:18:12 +0100

hugin (2020.0~beta1+dfsg-2) experimental; urgency=low

  * No change upload, will be rebuilt against newer python.
    Closes: #976965

 -- Andreas Metzler <ametzler@debian.org>  Fri, 11 Dec 2020 18:24:21 +0100

hugin (2020.0~beta1+dfsg-1) experimental; urgency=low

  * New upstream version.
    + Drop superfluous pastches (30_add_hugin_stacker_manpage.diff,
      50_f21f594a8756_8265_Fix_appdata_files.diff)
  * Add lintian overrides for
    package-contains-documentation-outside-usr-share-doc.
  * Use dh v13 compat level.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 25 Oct 2020 18:09:32 +0100

=== debian/control ===
Source: hugin
Section: graphics
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
Uploaders: Andreas Metzler <ametzler@debian.org>
Build-Depends: cmake (>= 3.8),
               debhelper-compat (= 12),
               dh-python,
               libboost-filesystem-dev (>= 1.47),
               libboost-system-dev (>= 1.47),
               libexiv2-dev (>= 0.12),
               libfftw3-dev,
               libflann-dev,
               libglew-dev,
               libjpeg-dev,
               liblcms2-dev,
               libopenexr-dev,
               libpano13-dev (>= 2.9.19~beta1),
               libpng-dev,
               libsqlite3-dev,
               libtiff-dev,
               libvigraimpex-dev (>=1.9),
               libwxgtk3.0-gtk3-dev (>= 3.0.4+dfsg-3~),
               libx11-dev,
               pkg-config,
               python3-dev,
               swig (>= 2.0.4),
               zlib1g-dev
Build-Conflicts: wx2.6-headers, wx2.8-headers
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: http://hugin.sourceforge.net/
Vcs-Git: https://salsa.debian.org/debian-phototools-team/hugin.git
Vcs-Browser: https://salsa.debian.org/debian-phototools-team/hugin

Package: hugin
Architecture: any
Depends: enblend (>= 3.2),
         enfuse,
         hugin-tools (= ${binary:Version}),
         libimage-exiftool-perl,
         make,
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: hugin-bin (<< 0.7.0~svn)
Replaces: hugin-bin (<< 0.7.0~svn),
          hugin-data (<< 0.7.0~svn),
          hugin-tools (<< 0.7.0~svn)
Suggests: dcraw | rawtherapee | darktable
Description: panorama photo stitcher - GUI tools
 Hugin is a panorama photo stitching program. Essentially, Hugin is a
 GUI frontend for Panorama Tools. Stitching is accomplished by using
 several overlapping photos taken from the same location, and using
 control points to align and transform the photos so that they can be
 blended together to form a larger image. Hugin allows for the easy
 creation of control points between two images, optimization of the
 image transforms, and much more.
 .
 This package includes the following graphical interfaces, using the
 command-line tools provided in the hugin-tools package:
  * hugin                - Hugin panorama creator.
  * hugin_stitch_project - Hugin batch stitcher.
  * PTBatcherGUI         - Batch controller for the stitching process.
  * calibrate_lens_gui   - Lens calibration tool.

Package: hugin-tools
Architecture: any
Depends: hugin-data (= ${source:Version}),
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Breaks: hugin-bin (<< 0.7.0~svn), ${python3:Breaks}
Replaces: hugin-bin (<< 0.7.0~svn)
Recommends: libpano13-bin
Provides: python-hsi
Description: panorama photo stitcher - commandline tools
 Hugin is a panorama photo stitching program.
 .
 This package includes command-line tools used by hugin and other
 packages for image stitching and High Dynamic Range (HDR) images:
  * align_image_stack  - Align overlapping images for HDR creation.
  * autooptimiser      - Optimize image positions.
  * celeste_standalone - Remove cloud-like control points.
  * cpclean            - Remove wrong control points.
  * cpfind             - Patent-free control-point detector
  * deghosting_mask    - Creates mask for removing ghosting in images.
  * fulla              - Correct lens distortion, vignetting, and
                         chromatic aberration.
  * geocpset           - Set geometric control points.
  * hugin_executor     - CLI stitching tool.
  * hugin_hdrmerge     - Merge overlapping images.
  * hugin_lensdb       - Hugin lens database maintenance.
  * icpfind            - Control-point detector wrapper program.
  * linefind           - Detect vertical features in images.
  * nona               - Remap images. (Also does simple stitching.)
  * pano_modify        - Change output parameters of project file.
  * pto_gen            - Generate a Hugin project file from a list of images.
  * pto_lensstack      - Modify assigned lenses and stack in pto files.
  * pto_mask           - Apply a mask.
  * pto_merge          - Merges two or more Hugin project files.
  * pto_move           - Move a project file with all images in it.
  * pto_template       - Apply a template file.
  * pto_var            - Change image variables inside Hugin .pto project
                         files
  * tca_correct        - Calculate transverse chromatic aberration.
  * verdandi           - Blend images using watershed algorithm.
  * vig_optimize       - Determine the radial vignetting.

Package: hugin-data
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Breaks: ${python3:Breaks}
Suggests: python-wxgtk4.0
Description: panorama photo stitcher - common data files
 Hugin is a panorama photo stitching program.
 .
 This package includes the data files needed by the hugin and
 hugin-tools packages.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed -Wl,-z,defs
export DEB_CFLAGS_MAINT_APPEND := -Wall
export DEB_CXXFLAGS_MAINT_APPEND := -Wall
export DEB_BUILD_MAINT_OPTIONS := hardening=+all
# Default python version.
PYTHONDEFVERSION := $(shell py3versions -d | sed -e 's/python\([0-9.]\+\)/\1/')

include /usr/share/dpkg/pkg-info.mk

# Upstream version can be overriden so as to fetch newer revisions
# without having to modify the top-most changelog entry
UVERSION ?= $(subst +dfsg,,$(DEB_VERSION_UPSTREAM))

override_dh_makeshlibs:
	dh_makeshlibs --noscripts

override_dh_auto_install:
	dh_auto_install --verbose
	rm -vf debian/tmp/usr/share/hugin/xrc/data/help_en_EN/LICENCE.manual

	find debian/tmp/usr/share/hugin/data/plugins \
		debian/tmp/usr/share/hugin/data/plugins-templates \
		-name '*.py' -exec \
		sed -i -e 's:^#! */usr/bin/env python$$:#! /usr/bin/python3:' \
		{} +
#	rm -v debian/tmp/usr/share/hugin/xrc/data/COPYING.txt

override_dh_auto_configure:
	dh_auto_configure --verbose --\
		-DUSE_GDKBACKEND_X11=on \
		-DBUILD_HSI:BOOL=ON \
		-DPython_ADDITIONAL_VERSIONS=$(PYTHONDEFVERSION)

override_dh_python3:
	dh_python3 -i /usr/share/hugin/data/plugins
	dh_python3 -a

override_dh_strip:
	dh_strip --no-automatic-dbgsym

%:
	dh $@ --with python3

## hugin 2021.0~beta1+dfsg

=== debian/changelog ===
hugin (2021.0~beta1+dfsg-1) unstable; urgency=medium

  * New upstream version.
    + Drop 50_calibrate_lens_gui_assert.diff

 -- Andreas Metzler <ametzler@debian.org>  Sat, 23 Oct 2021 13:54:29 +0200

## hugin 2021.0.0+dfsg

=== debian/changelog ===
hugin (2021.0.0+dfsg-1build1) kinetic; urgency=medium

  * No-change rebuild against libopenexr3-1-30

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 23 Aug 2022 04:02:27 +0000

hugin (2021.0.0+dfsg-1) unstable; urgency=low

  * Run wrap-and-sort -ast.
  * New upstream release.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 03 Apr 2022 14:44:56 +0200

=== debian/control ===
--- 
+++ 
@@ -1,33 +1,39 @@
 Source: hugin
 Section: graphics
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
-Uploaders: Andreas Metzler <ametzler@debian.org>
-Build-Depends: cmake (>= 3.8),
-               debhelper-compat (= 12),
-               dh-python,
-               libboost-filesystem-dev (>= 1.47),
-               libboost-system-dev (>= 1.47),
-               libexiv2-dev (>= 0.12),
-               libfftw3-dev,
-               libflann-dev,
-               libglew-dev,
-               libjpeg-dev,
-               liblcms2-dev,
-               libopenexr-dev,
-               libpano13-dev (>= 2.9.19~beta1),
-               libpng-dev,
-               libsqlite3-dev,
-               libtiff-dev,
-               libvigraimpex-dev (>=1.9),
-               libwxgtk3.0-gtk3-dev (>= 3.0.4+dfsg-3~),
-               libx11-dev,
-               pkg-config,
-               python3-dev,
-               swig (>= 2.0.4),
-               zlib1g-dev
-Build-Conflicts: wx2.6-headers, wx2.8-headers
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
+Uploaders:
+ Andreas Metzler <ametzler@debian.org>,
+# hugin can use Boost::Signal or in Boost >= 1.54 Boost::Signal2 which is
+# shipped in libboost-dev.
+Build-Depends:
+ cmake (>= 3.8),
+ debhelper-compat (= 13),
+ dh-python,
+ libboost-filesystem-dev (>= 1.47),
+ libboost-system-dev (>= 1.47),
+ libexiv2-dev (>= 0.12),
+ libfftw3-dev,
+ libflann-dev,
+ libglew-dev,
+ libjpeg-dev,
+ liblcms2-dev,
+ libopenexr-dev,
+ libpano13-dev (>= 2.9.19~beta1),
+ libpng-dev,
+ libsqlite3-dev,
+ libtiff-dev,
+ libvigraimpex-dev (>=1.9),
+ libwxgtk3.0-gtk3-dev (>= 3.0.4+dfsg-12),
+ libx11-dev,
+ pkg-config,
+ python3-dev,
+ swig (>= 2.0.4),
+ zlib1g-dev,
+Build-Conflicts:
+ wx2.6-headers,
+ wx2.8-headers,
 Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: http://hugin.sourceforge.net/
@@ -36,18 +42,22 @@
 
 Package: hugin
 Architecture: any
-Depends: enblend (>= 3.2),
-         enfuse,
-         hugin-tools (= ${binary:Version}),
-         libimage-exiftool-perl,
-         make,
-         ${misc:Depends},
-         ${shlibs:Depends}
-Breaks: hugin-bin (<< 0.7.0~svn)
-Replaces: hugin-bin (<< 0.7.0~svn),
-          hugin-data (<< 0.7.0~svn),
-          hugin-tools (<< 0.7.0~svn)
-Suggests: dcraw | rawtherapee | darktable
+Depends:
+ enblend (>= 3.2),
+ enfuse,
+ hugin-tools (= ${binary:Version}),
+ libimage-exiftool-perl,
+ make,
+ ${misc:Depends},
+ ${shlibs:Depends},
+Breaks:
+ hugin-bin (<< 0.7.0~svn),
+Replaces:
+ hugin-bin (<< 0.7.0~svn),
+ hugin-data (<< 0.7.0~svn),
+ hugin-tools (<< 0.7.0~svn),
+Suggests:
+ dcraw | rawtherapee | darktable,
 Description: panorama photo stitcher - GUI tools
  Hugin is a panorama photo stitching program. Essentially, Hugin is a
  GUI frontend for Panorama Tools. Stitching is accomplished by using
@@ -66,14 +76,20 @@
 
 Package: hugin-tools
 Architecture: any
-Depends: hugin-data (= ${source:Version}),
-         ${misc:Depends},
-         ${python3:Depends},
-         ${shlibs:Depends}
-Breaks: hugin-bin (<< 0.7.0~svn), ${python3:Breaks}
-Replaces: hugin-bin (<< 0.7.0~svn)
-Recommends: libpano13-bin
-Provides: python-hsi
+Depends:
+ hugin-data (= ${source:Version}),
+ ${misc:Depends},
+ ${python3:Depends},
+ ${shlibs:Depends},
+Breaks:
+ hugin-bin (<< 0.7.0~svn),
+ ${python3:Breaks},
+Replaces:
+ hugin-bin (<< 0.7.0~svn),
+Recommends:
+ libpano13-bin,
+Provides:
+ python-hsi,
 Description: panorama photo stitcher - commandline tools
  Hugin is a panorama photo stitching program.
  .
@@ -109,9 +125,15 @@
 
 Package: hugin-data
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
-Breaks: ${python3:Breaks}
-Suggests: python-wxgtk4.0
+Depends:
+ ${misc:Depends},
+ ${python3:Depends},
+ ${shlibs:Depends},
+Breaks:
+ ${python3:Breaks},
+# imports of included plugins
+Suggests:
+ python-wxgtk4.0,
 Description: panorama photo stitcher - common data files
  Hugin is a panorama photo stitching program.
  .

## hugin 2022.0~beta1+dfsg

=== debian/changelog ===
hugin (2022.0~beta1+dfsg-1) unstable; urgency=low

  * Let watchfile handle 2022.0beta1.
  * New upstream version.
    + Drop obsolete patches:
      (50_8476_edfddc6070ca_Fixes_crash_when_environment_variable_XDG_DATA_HOME_is_not_set.diff
      55_assert.diff)
  * Symlink /usr/share/common-licenses/GPL-2 to
    hugin-data's /usr/share/hugin/xrc/data/COPYING.txt. Closes: #1023604

 -- Andreas Metzler <ametzler@debian.org>  Sat, 26 Nov 2022 14:49:22 +0100

hugin (2021.0.0+dfsg-3) unstable; urgency=medium

  * 55_assert.diff from upstream bugtracker fixing assertion error on [Create
    panorama...] subwindow with wxwidgets 3.2.
  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Wed, 26 Oct 2022 11:36:13 +0200

hugin (2021.0.0+dfsg-2) experimental; urgency=low

  * Update b-d and -conflicts for libwxgtk3.2-dev. Closes: #1019833
  * Migrate lintian overrides with
    GIT/lintian/bin/lintian-migrate-overrides-to-pointed-hints.
  * 50_8476_edfddc6070ca_Fixes_crash_when_environment_variable_XDG_DATA_HOME_is_not_set.diff
    from upstream HG: Fix startup error with wxwidgets3.2.

 -- Andreas Metzler <ametzler@debian.org>  Fri, 16 Sep 2022 13:46:24 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: hugin
 Section: graphics
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
+Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
 Uploaders:
  Andreas Metzler <ametzler@debian.org>,
 # hugin can use Boost::Signal or in Boost >= 1.54 Boost::Signal2 which is
@@ -25,7 +24,7 @@
  libsqlite3-dev,
  libtiff-dev,
  libvigraimpex-dev (>=1.9),
- libwxgtk3.0-gtk3-dev (>= 3.0.4+dfsg-12),
+ libwxgtk3.2-dev,
  libx11-dev,
  pkg-config,
  python3-dev,
@@ -34,7 +33,8 @@
 Build-Conflicts:
  wx2.6-headers,
  wx2.8-headers,
-Standards-Version: 4.5.1
+ wx3.0-headers,
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: http://hugin.sourceforge.net/
 Vcs-Git: https://salsa.debian.org/debian-phototools-team/hugin.git
